"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const styled_components_1 = require("styled-components");
const Container = styled_components_1.default.div `
  position: fixed;
  bottom: 20%;
  left: 50%;
  transform: translate(-50%, -50%);
`;
const KeypressView = styled_components_1.default.div `
  padding: 20px 40px;
  background-color: rgba(0, 0, 0, 0.3);
  border-radius: 10px;

  font-size: 40px;
  color: #fff;
  font-weight: 600;
`;
class KeypressModal extends React.Component {
    render() {
        if (this.props.keyValue === '')
            return null;
        return (React.createElement(Container, null,
            React.createElement(KeypressView, null, this.props.keyValue)));
    }
}
exports.default = KeypressModal;
